// ********************************************************************************
// ********************************************************************************
// ********************************************************************************
// K1 Healing Item (sa_hea_ite.nss).
// Created by Star Admiral.
// Last Modified on 03/01/09.
// ********************************************************************************
// ********************************************************************************
// ********************************************************************************

void main() {

   int nVitality, nForce, nCount;
   effect eFlash, eVisual;
   object oParty;

   eFlash = EffectVisualEffect( 1047, FALSE );
   eVisual = EffectVisualEffect( 1011, FALSE );

   nCount = 0;

   while( nCount < GetPartyMemberCount() ) {
      oParty = GetPartyMemberByIndex( nCount );
      nVitality = GetMaxHitPoints( oParty ) - GetCurrentHitPoints( oParty );
      nForce = GetMaxForcePoints( oParty ) - GetCurrentHitPoints( oParty );
      if( !GetIsInCombat( oParty ) ) {
         SignalEvent( oParty, EventSpellCastAt( oParty, GetSpellId(), FALSE ) );
         ApplyEffectToObject( DURATION_TYPE_INSTANT, eVisual, oParty );
         DelayCommand( 0.75, ApplyEffectToObject( DURATION_TYPE_INSTANT, eFlash, oParty ) );
         DelayCommand( 1.00, ApplyEffectToObject( DURATION_TYPE_INSTANT, EffectHeal( nVitality ), oParty ) );
         DelayCommand( 1.00, ApplyEffectToObject( DURATION_TYPE_INSTANT, EffectHealForcePoints( nForce ), oParty ) );
      }
      else {
         SendMessageToPC( GetFirstPC(), "Healing During Combat Is Not Possible." );
         ApplyEffectToObject( DURATION_TYPE_INSTANT, EffectForceFizzle(), oParty );
      }
      nCount++;
   }

}
